{
  "custom": {},
  "params": {
    "Display": "value",
    "status": null,
    "tagProps": [
      "F01",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value",
      "value"
    ]
  },
  "propConfig": {
    "params.Display": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.status": {
      "binding": {
        "config": {
          "path": "/root/FlexContainer_1/PLC_Status.props.status"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.tagProps": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 110,
      "width": 200
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Filler"
        },
        "position": {
          "basis": "5px",
          "shrink": 0
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "Label_2"
        },
        "position": {
          "basis": "32px"
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.tagProps[3]"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "fontFamily": "Helvetica",
            "fontSize": 15,
            "fontStyle": "italic",
            "fontWeight": "bold",
            "textAlign": "center",
            "textTransform": "uppercase"
          }
        },
        "type": "ia.display.label"
      },
      {
        "children": [
          {
            "meta": {
              "name": "Filler"
            },
            "position": {
              "basis": "5px",
              "grow": 1
            },
            "type": "ia.display.label"
          },
          {
            "events": {
              "dom": {
                "onDoubleClick": {
                  "config": {
                    "script": "\tnavigation.navigate_to_page.detailed_view(self, self.view.params.tagProps[0],self.view.params.tagProps[0], self.view.params.tagProps[3])"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "PLC_Status"
            },
            "position": {
              "basis": "150px"
            },
            "propConfig": {
              "meta.visible": {
                "binding": {
                  "config": {
                    "path": "view.params.Display"
                  },
                  "type": "property"
                }
              },
              "props.status": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "indirect",
                    "references": {
                      "0": "{view.params.tagProps[0]}"
                    },
                    "tagPath": "{0}/Expressions/Status"
                  },
                  "type": "tag"
                },
                "onChange": {
                  "enabled": null,
                  "script": "\tpayload \u003d {}\n\tpayload[\"status\"] \u003d self.props.status\n\tsystem.perspective.sendMessage(\"update-controller-status\", payload \u003d payload, scope \u003d \"view\")"
                }
              },
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "this.props.status"
                  },
                  "transforms": [
                    {
                      "fallback": "State-Styles/State0",
                      "inputType": "scalar",
                      "mappings": [
                        {
                          "input": 1,
                          "output": "State-Styles/Background-Fill/State1"
                        },
                        {
                          "input": 2,
                          "output": "State-Styles/Background-Fill/State2"
                        },
                        {
                          "input": 3,
                          "output": "State-Styles/Background-Fill/State3"
                        },
                        {
                          "input": 4,
                          "output": "State-Styles/Background-Fill/State4"
                        },
                        {
                          "input": 5,
                          "output": "State-Styles/Background-Fill/State5"
                        },
                        {
                          "input": 6,
                          "output": "State-Styles/Background-Fill/State6"
                        },
                        {
                          "input": 0,
                          "output": "State-Styles/State0"
                        }
                      ],
                      "outputType": "style-list",
                      "type": "map"
                    }
                  ],
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.tagProps[0]"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "alignItems": "center",
                "borderBottomLeftRadius": 5,
                "borderBottomRightRadius": 5,
                "borderStyle": "solid",
                "borderStyleTop": "groove",
                "borderTopLeftRadius": 5,
                "borderTopRightRadius": 5,
                "borderWidth": "0.5px",
                "fontFamily": "Arial",
                "fontSize": "22px",
                "fontWeight": "bolder"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Filler_0"
            },
            "position": {
              "basis": "5px",
              "grow": 1
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "FlexContainer_1"
        },
        "position": {
          "basis": "40px",
          "shrink": 0
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "Label"
        },
        "position": {
          "basis": "1px",
          "shrink": 0
        },
        "type": "ia.display.label"
      }
    ],
    "meta": {
      "name": "root"
    },
    "propConfig": {
      "custom.pageId": {
        "binding": {
          "config": {
            "fallbackDelay": 2.5,
            "mode": "indirect",
            "references": {
              "0": "{view.params.tagProps[0]}"
            },
            "tagPath": "{0}/Parameters.PageId"
          },
          "type": "tag"
        }
      }
    },
    "props": {
      "direction": "column",
      "style": {
        "backgroundColor": "#AAAAAA",
        "borderColor": "#A6A3A3",
        "borderStyle": "ridge"
      }
    },
    "type": "ia.container.flex"
  }
}